curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"shopifyOrderId": "string",
"shopifyOrderName": "string",
"receivedAt": "2026-08-31T14:22:05Z",
"signatureValid": true,
"signatureError": "string",
"state": "queued",
"attemptCount": 1,
"maxAttempts": 1,
"lastAttemptAt": "2026-08-31T14:22:05Z",
"nextRetryAt": "2026-08-31T14:22:05Z",
"processingStartedAt": "2026-08-31T14:22:05Z",
"processingFinishedAt": "2026-08-31T14:22:05Z",
"processingError": "string",
"headers": {},
"payload": {}
}
Get a single webhook event (includes payload).
Webhook event with headers and payload
GET
/
v1
/
tenants
/
{tenant_id}
/
webhook-events
/
{webhook_id}
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"shopifyOrderId": "string",
"shopifyOrderName": "string",
"receivedAt": "2026-08-31T14:22:05Z",
"signatureValid": true,
"signatureError": "string",
"state": "queued",
"attemptCount": 1,
"maxAttempts": 1,
"lastAttemptAt": "2026-08-31T14:22:05Z",
"nextRetryAt": "2026-08-31T14:22:05Z",
"processingStartedAt": "2026-08-31T14:22:05Z",
"processingFinishedAt": "2026-08-31T14:22:05Z",
"processingError": "string",
"headers": {},
"payload": {}
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Webhook event identifier
Response
object
string (uuid)
required
string
required
string
required
string
required
string
string
string (date-time)
required
boolean
string
string
required
Webhook processing state
integer
required
integer
required
string (date-time)
string (date-time)
string (date-time)
string (date-time)
string
object
required
object
Status codes
| Code | Meaning |
|---|---|
200 | Webhook event with headers and payload |
401 | Unauthorized |
404 | Webhook event not found |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"shopifyOrderId": "string",
"shopifyOrderName": "string",
"receivedAt": "2026-08-31T14:22:05Z",
"signatureValid": true,
"signatureError": "string",
"state": "queued",
"attemptCount": 1,
"maxAttempts": 1,
"lastAttemptAt": "2026-08-31T14:22:05Z",
"nextRetryAt": "2026-08-31T14:22:05Z",
"processingStartedAt": "2026-08-31T14:22:05Z",
"processingFinishedAt": "2026-08-31T14:22:05Z",
"processingError": "string",
"headers": {},
"payload": {}
}
Last modified on August 31, 2026